Bug 457480 - Changing text font in print dialogue
Summary: Changing text font in print dialogue
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: general (show other bugs)
Version: 22.04.1
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-04 11:59 UTC by notathrowaway2
Modified: 2022-08-16 21:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.98


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description notathrowaway2 2022-08-04 11:59:14 UTC
Currently you can only change the font of the header but not the actual text. I think you should be able to also change the text font in the printing dialogue so you don't have to change the actual editor font every time you want to print something.


SOFTWARE/OS VERSIONS
KDE Plasma Version: 5.25.3
KDE Frameworks Version: 5.96.0
Qt Version: 5.15.5
Comment 1 Bug Janitor Service 2022-08-12 19:16:42 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/ktexteditor/-/merge_requests/401
Comment 2 Christoph Cullmann 2022-08-13 14:04:35 UTC
Git commit 5df38c306c168804fbfdba0c1f97b7986c94f89d by Christoph Cullmann.
Committed on 12/08/2022 at 19:16.
Pushed by cullmann into branch 'master'.

allow to configure printing font

before this was part of the theme

M  +1    -0    src/printing/kateprinter.cpp
M  +34   -1    src/printing/printconfigwidgets.cpp
M  +5    -0    src/printing/printconfigwidgets.h
M  +5    -0    src/printing/printpainter.cpp
M  +1    -0    src/printing/printpainter.h

https://invent.kde.org/frameworks/ktexteditor/commit/5df38c306c168804fbfdba0c1f97b7986c94f89d